Method: accounts.programs.ucpSettings.updateUcpSettings

Patches the UCP settings for a Merchant Center account.

This is a non-blocking method that queues asynchronous validation of the UCP profile at the wellKnownUri and immediately returns a long-running Operation with done set to false and metadata set to UcpSettingsOperationMetadata.

You can poll the operation status using operations.get with the returned operation name (formatted as accounts/{account}/programs/ucp-integration/ucpSettings/operations/{operation}). When validation finishes (done is true):

  • If validation succeeds, the settings are stored and the operation's response field contains the updated UcpSettings resource, including the parsed ucpProfile.
  • If validation fails, the settings are not updated and the operation's error field contains a Status message describing the validation failure.

For more information, see the UCP checkout setup guide.

HTTP request

PATCH https://merchantapi.googleapis.com/accounts/v1alpha/{ucpSettings.name=accounts/*/programs/*/ucpSettings}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
ucpSettings.name

string

Identifier. The resource name of the UcpSettings. Format: accounts/{account}/programs/{program}/ucpSettings. The only supported {program} value is ucp-integration (for example, accounts/123456/programs/ucp-integration/ucpSettings).

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to patch. If the updateMask is missing or empty, the service will reject the request with an INVALID_ARGUMENT error.

Request body

The request body contains an instance of UcpSettings.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.